// Licensed to the .NET Foundation under one or more agreements.
// The .NET Foundation licenses this file to you under the MIT license.
// See the LICENSE file in the project root for more information.

using System.Runtime.Serialization;

namespace System.Reflection
{
    [Serializable]
#if !MONO
    [System.Runtime.CompilerServices.TypeForwardedFrom("mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089")]
#endif
    public sealed class TargetInvocationException : ApplicationException
    {
        public TargetInvocationException(Exception inner)
            : base(SR.Arg_TargetInvocationException, inner)
        {
            HResult = HResults.COR_E_TARGETINVOCATION;
        }

        public TargetInvocationException(string message, Exception inner)
            : base(message, inner)
        {
            HResult = HResults.COR_E_TARGETINVOCATION;
        }

        internal TargetInvocationException(SerializationInfo info, StreamingContext context)
            : base(info, context)
        {
        }
    }
}
